modal-login {
  display: block;
  width: 100%;
}

modal-login .modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--cor-modal-blocker);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

modal-login .modal-container {
  background: var(--white);
  border-radius: 8px;
  width: 95%;
  max-width: 500px;
  max-height: 85vh;
  overflow-y: auto;
  padding: 20px;
  animation: zoomIn 0.3s ease-in-out;
}

modal-login .modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

modal-login .modal-header h2 {
  margin: 0;
  font-size: 1.5rem;
  color: var(--cor-secundaria);
}

modal-login .btn-fechar {
  background: none;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
  padding: 0;
  color: var(--cor-texto-principal);
}

modal-login .modal-body {
  padding: 0;
}

modal-login .btn-google {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 0.75rem;
  border: 1px solid var(--cor-borda);
  border-radius: 4px;
  background: var(--white);
  cursor: pointer;
  font-size: 1rem;
  gap: 0.5rem;
  transition: background-color 0.2s;
}

modal-login .btn-google:hover {
  background-color: var(--cor-fundo-claro);
}

modal-login .btn-google img {
  width: 20px;
  height: 20px;
}

modal-login .divisor {
  display: flex;
  align-items: center;
  text-align: center;
  margin: 1.2rem 0;
}

modal-login .divisor::before,
modal-login .divisor::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid var(--cor-borda);
}

modal-login .divisor span {
  padding: 0 10px;
  color: var(--cor-secundaria);
  font-size: 0.9rem;
}

modal-login .form-group {
  margin-bottom: 15px;
  position: relative;
}

modal-login .form-group label {
  display: block;
  margin-bottom: 5px;
  color: var(--cor-texto-escuro);
  font-weight: 500;
  width: fit-content;
  cursor: pointer;
}

modal-login .form-group input {
  width: 100%;
  padding: 12px;
  border: 1px solid var(--cor-borda);
  border-radius: 4px;
  font-size: 1rem;
  padding-right: 40px;
}

modal-login .form-group input:focus {
  outline: 2px solid var(--cor-primaria);
}

modal-login .input-container {
  position: relative;
}

modal-login .btn-toggle-senha {
  position: absolute;
  right: 0;
  top: 0;
  background: var(--cor-primaria);
  border: none;
  cursor: pointer;
  border-radius: 0 4px 4px 0;
  color: var(--white);
  height: 100%;
  padding: 15px;
}

modal-login .btn-toggle-senha:hover {
  background: var(--cor-primaria-hover);
}

modal-login .form-actions {
  margin-top: 1.5rem;
}

modal-login .btn-entrar {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  padding: 12px;
  background-color: var(--cor-primaria);
  color: var(--white);
  border: none;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.2s;
}

modal-login .btn-entrar:hover {
  background-color: var(--cor-primaria-hover);
}

modal-login .links-container {
  margin-top: 1rem;
  display: flex;
  justify-content: space-between;
  font-size: 0.9rem;
}

modal-login .links-container a {
  color: var(--cor-primaria);
  text-decoration: none;
}

modal-login .links-container :first-child {
  color: var(--cor-texto-escuro);
}

modal-login .links-container a:hover {
  text-decoration: underline;
}

@media (max-width: 576px) {
  modal-login .modal-container {
    width: 90%;
  }
}
